org.richfaces.component

## Enum UISequence.PropertyKeys

- java.lang.Object
- - java.lang.Enum<UISequence.PropertyKeys>
  - - org.richfaces.component.UISequence.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<UISequence.PropertyKeys>
  Enclosing class:
    UISequence

      protected static enum UISequence.PropertyKeys
      extends Enum<UISequence.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `first`
    `iterationStatusVar`
    `rows`
    `value`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UISequence.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UISequence.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### first

          public static final UISequence.PropertyKeys first

    - #### rows

          public static final UISequence.PropertyKeys rows

    - #### value

          public static final UISequence.PropertyKeys value

    - #### iterationStatusVar

          public static final UISequence.PropertyKeys iterationStatusVar

  - ### Method Detail

    - #### values

          public static UISequence.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UISequence.PropertyKeys c : UISequence.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UISequence.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.